petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscDetermineInitialFPTrap

Attempts to determine the floating point trapping that exists when PetscInitialize() is called

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscDetermineInitialFPTrap(void)

Not Collective

### Notes

Currently only supported on Linux and MacOS. Checks if divide by zero is enable and if so declares that trapping is on.

### See Also

PetscFPTrapPush(), PetscFPTrapPop(), PetscDetermineInitialFPTrap()

### Level

advanced

### Location

src/sys/error/fp.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages